package com.jz.sms.chuanlan.service;

import com.jz.sms.chuanlan.dto.CLSendFixedResponse;
import com.jz.sms.chuanlan.dto.CLTemplateResponse;
import com.jz.sms.dto.*;

import java.util.List;

public interface ChuanLanSmsService {


    CLTemplateResponse createTemplate(String content, String type) throws Exception;


    CLSendFixedResponse sendByFixed(String batchId, String content, List<String> phoneList, String type) throws Exception;


    CLSendFixedResponse sendByVariable(String batchId, String content, List<String> phoneList, String type) throws Exception;


    DmHubSendResponse sendBatchByFixed(DmHubSendRequest requestDTO);


    DmHubBatchSendResponse sendBatchByVariable(DmHubBatchSendRequest requestDTO);

}
